%define name	bins 
%define version 1.1.20
%define release 1mdk

Summary: A fully configurable HTML photo album generator.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://jsautret.free.fr/BINS/%{name}-%{version}.tar.bz2
License: GPL
Group: Graphics
Url: http://bins.sautret.org
BuildRequires: perl >= 5.8.0
Requires: perl-GTK
Requires: perl-GTK-GdkPixbuf
Requires: perl-GTK-Gnome
Requires: perl-MDK-Common
Requires: perl-Image-Size 
Requires: perl-Image-Info
Requires: perl-Magick 
Requires: perl-HTML-Parser
Requires: perl-XML-SAX
Requires: libhtml-template-perl
Requires: perl-HTML-Clean
Requires: perl-URI 
Requires: perl-XML-Parser
Requires: perl-XML-Grove 
Requires: perl-Locale-gettext
Requires: perl-Text-Iconv
Requires: perl-XML-Handler-YAWriter
Requires: perl-libxml-perl
Requires: perl-GTK-Glade
Requires: perl-libxml-enno
Requires: perl-XML-Writer
Requires: perl-GTK-GdkImlib
Requires: perl-IO-String
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
Prefix: %{_prefix}

%description
The aim of BINS is to generate static HTML photo albums

%prep

%setup
for i in `find -type f`; do
	perl  -pi -e s:/usr/local:/usr:g $i
done

%build

%install
langs="fr de pl it ru"
rm -rf $RPM_BUILD_ROOT
#copie des fichiers dans /usr/bin et /usr/share/bins
mkdir -p $RPM_BUILD_ROOT%{_bindir} 2>/dev/null || true
cp bins bins_edit bins-edit-gui $RPM_BUILD_ROOT%{_bindir}
chmod a+rx $RPM_BUILD_ROOT%{_bindir}/*
# fichiers de configuration
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/bins 2>/dev/null || true
cp binsrc $RPM_BUILD_ROOT%{_sysconfdir}/bins/binsrc
#fichiers de templates
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/bins/templates.joi 2>/dev/null || true
cp templates.joi/*.html $RPM_BUILD_ROOT%{_sysconfdir}/bins/templates.joi
cp -R templates.joi/static $RPM_BUILD_ROOT%{_sysconfdir}/bins/templates.joi
chmod -R a+r $RPM_BUILD_ROOT%{_sysconfdir}/bins/templates.joi
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/bins/templates.default 2>/dev/null || true
cp templates/*.html $RPM_BUILD_ROOT%{_sysconfdir}/bins/templates.default
chmod a+r $RPM_BUILD_ROOT%{_sysconfdir}/bins/*
#additional files
mkdir -p $RPM_BUILD_ROOT%{_datadir}/bins 2>/dev/null || true
cp bins-edit-gui.glade $RPM_BUILD_ROOT%{_datadir}/bins/bins-edit-gui.glade
chmod a+r $RPM_BUILD_ROOT%{_datadir}/bins/*
#man pages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1 2>/dev/null || true
cp doc/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/
chmod a+r $RPM_BUILD_ROOT%{_mandir}/man1/*
#I18n
for L in $langs
  do
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/$L/LC_MESSAGES 2>/dev/null || true
cp intl/$L.mo $RPM_BUILD_ROOT%{_datadir}/locale/$L/LC_MESSAGES/bins.mo
 if [ -f  intl/gui-$L.mo ]; then
cp intl/gui-$L.mo $RPM_BUILD_ROOT%{_datadir}/locale/$L/LC_MESSAGES/bins-edit-gui.mo
fi
done

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang 
%defattr(-,root,root)
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/bins
%_datadir/bins/bins-edit-gui.glade 
%_mandir/*/*
%doc ChangeLog CREDITS LICENSE README README.gui RELEASE.gui TODO
%doc doc/*.html

%changelog
* Sun Feb 09 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.20-1mdk
- 1.1.20 (Thx C. Thevenet)

* Wed Dec 18 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.19-1mdk
- 1.1.19
- do not install any doc files in %%_sysconfdir

* Thu Oct 31 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.18-3mdk
- Requires Perl-IO-String and not prel... gr..

* Thu Oct 31 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.18-2mdk
- add Requires perl-IO-String

* Mon Oct 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.18-1mdk
- 1.1.18

* Sun Oct 06 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.17-1mdk 
- 1.1.17

* Thu Sep 05 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.16-3mdk
- Cdric Thvenet <cedric@mandrakefr.org>
        - Another path fixed

* Thu Sep 05 2002 Cdric Thvenet <cedric@mandrakefr.org> 1.1.16-2mdk
	- Fixed a path in bins-edit-gui

* Tue Sep 03 2002 Cdric Thvenet <cedric@mandrakefr.org> 1.1.16-1mdk
        - Added Russian translation.
	- Joi templates has been added.
	- fix missing locale

* Fri Aug 30 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.15-1mdk 
- Cdric Thvenet <cedric@mandrakefr.org>
	- First spec file for Mandrake distribution.
